<?php
/*
	Copyright © Eleanor CMS
	http://eleanor-cms.ru
	info@eleanor-cms.ru
*/
defined('CMS')||die;
global$Eleanor,$title;

$errors=array();
$saved=false;
$f=__DIR__.'/config.php';

if($_SERVER['REQUEST_METHOD']=='POST' and Eleanor::$our_query)
{
	$post=true;
	$values=array(
		'facebook'=>isset($_POST['facebook']),
		'twitter'=>empty($_POST['_twaccount']) ? isset($_POST['twitter']) : (string)$_POST['_twaccount'],
		'plusone'=>isset($_POST['plusone']),
		'vk_api'=>empty($_POST['vk_api']) ? false : (string)$_POST['vk_api'],
		'vk_shared'=>isset($_POST['vk_shared']),
		'delay'=>isset($_POST['delay']) ? abs((int)$_POST['delay']) : 0,
		'canclose'=>isset($_POST['canclose']),
		'groups'=>isset($_POST['groups']) ? (array)$_POST['groups'] : array(GROUP_WAIT,3),
	);

	if(!$values['facebook'] and !$values['twitter'] and !$values['plus_one'] and !$values['vk_api'])
		$errors[]='MISSED_SOCIALS';

	if(!$errors)
		if(file_put_contents($f,'<?php return '.var_export($values,true).';')===false)
			$errors[]='SAVE_ERROR';
		else
			$saved=true;
}
else
{
	$post=false;
	$values=is_file($f) ? (array)include$f : array();
	$values+=array(
		'facebook'=>true,
		'twitter'=>true,
		'plusone'=>true,
		'vk_api'=>'',
		'vk_shared'=>false,
		'delay'=>200,
		'canclose'=>true,
		'groups'=>array(GROUP_WAIT,3),
	);
}

#Special
if(is_string($values['twitter']))
{
	$values['_twaccount']=$values['twitter'];
	$values['twitter']=true;
}

$title[]='Social Magic';

#Template
$Lst=Eleanor::LoadListTemplate('table-form')->form()->begin()
	->head('Включить кнопки социальных сетей')
	->item('Facebook',Eleanor::Check('facebook',$values['facebook'],array('tabindex'=>1)))
	->item('Twitter',Eleanor::Check('twitter',$values['twitter'],array('tabindex'=>2)).' '.Eleanor::Input('_twaccount',$values['_twaccount'],array('tabindex'=>3,'placeholder'=>'Ваш логин в twitter')))
	->item('Google+',Eleanor::Check('plusone',$values['plusone'],array('tabindex'=>4)))
	->head('ВКонтакте')
	->item(array('ВКонтакте API ID',Eleanor::Input('vk_api',$values['vk_api'],array('tabindex'=>5)),'descr'=>'Получить его можно <a href="http://vk.com/editapp?act=create" rel="nofollow">здесь</a>.'))
	->item(array('Заставить пользователей делиться с друзьями',Eleanor::Check('vk_shared',$values['vk_shared'],array('tabindex'=>6)),'tip'=>'При включении данной опции, при использовании кнопки ВКонтакте, для того, чтобы открыть скрытый контент пользователю нужно будет не просто кликнуть "Мне нравится", но и поделиться странице со своими друзьями'))
	->head('Настройки BB кода')
	->item(array('Разрешить закрытие?',Eleanor::Check('canclose',$values['canclose'],array('tabindex'=>7)),'tip'=>'Пользователи смогу увидеть скрытый контент, воспользовавшись крестиком в правом верхнем углу. При этом им нет необходимости делиться информацией с друзьями.'))
	->item('Таймер до закрытия',Eleanor::Input('delay',$values['delay'],array('type'=>'number','min'=>0,'tabindex'=>8)))
	->item(array('Скрывать контент от групп',Eleanor::Items('groups',UserManager::GroupsOpts($values['groups'])),'descr'=>'Для всех остальных групп пользователей, контент будет открыт'))
	->end()
	->submitline(Eleanor::Button('Ok'))
	->endform();
$s=Eleanor::$Template->Cover(($saved ? Eleanor::$Template->Message('Настройки успешно сохранены','info',10) : '').$Lst,$errors)
	.'<script type="text/javascript">//<![CDATA[
$(function(){
	$("[name=twitter]").change(function(){
		$("[name=_twaccount]").prop("disabled",!$(this).prop("checked"));
	}).change();
})//]]></script>';
#[E] Template

Start();
echo$s;